在ubuntu上安装k-vim

在ubuntu 上安装k-vim

早就想好好改造一下自己使用的vim了!可惜各种配置都十分复杂,特别是涉及到C语言的语义补全,YouCompleteMe,总是出各种安装问题。今天有人推荐我使用k-vim,我一下子找到了完美的解决方案。但是在安装k-vim的过程中,依然出现了很多问题,有必要记录一下。

安装shaodowsocks-qt5

在安装shadowsocks-qt5的时候就遇到了问题。因为github给出的官方源出现了问题,无奈需要自己编译安装包。后来发现,可以在ubuntu包管理网站上查找并安装shadowsocks-qt5,一下子把我从编译问题中解放了出来。为了之后安装方便,我将安装涉及到的两个deb文件保存在back_up仓库中了。

设置git代理

如果不通过代理的话,安装k-vim的速度简直龟速。因为在安装过程中需要从github网站上下载大量资源,国内跨国资源限制你懂得。原来git可以直接设置socks5代理,设置.gitconfig文件如下:

[http]
    proxy = socks5://127.0.0.1:1080

经过上述配置,保证了我们从github上下载资源的效率。

安装k-vim

安装k-vim很简单,首先从github上将k-vim仓库clone 下来。请注意,遵照k-vim仓库README的教导,我们需要首先解决下述依赖:

sudo apt-get install ctags
sudo apt-get install build-essential cmake python-dev  #编译YCM自动补全插件依赖
sudo apt-get install silversearcher-ag
sudo apt-get install ninja-build

接下来的步骤就简单了,只需要进入k-vim仓库根目录,执行命令:sh -x install.sh。安装过程一路顺风,直到在编译YouCompleteMe的过程中需要下载clang的编译器,一下子就陷入了停顿。此时可以终止安装过程,自行从clang官网下载 `clang+llvm-3.9.0-x86_64-opensuse13.2.tar.xz文件,并且将其复制到 /some_where/kvim/bundle/YouCompleteMe/third_party/ycmd/clang_archives,请注意some_where为你放置k-vim仓库的位置。接下来继续执行sh -x install.sh,安装就可以完成了。

为了方便以后安装YouCompleteMe,我将这个完整的仓库打包之后放在公开仓库,地址为 git@git.coding.net:zhoudayang/k-vim.git

尽情享受k-vim给你带来的便捷的输入体验吧!

posted @ 2016-11-18 22:09 ZHOU YANG 阅读(...) 评论(...) 编辑 收藏